%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
%define	py_setup	setup.py

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

Summary:	Python package for ElasticSearch
Packager:	Lawrence R. Rogers (lrr@cert.org)
Vendor:		cert.org
Name:		elasticsearch
Version:	6.3.1
Release:	2%{?dist}
License:	BSD
Group:		Applications
Source:		%{name}-%{version}.tar.gz
URL:		URL

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	%{__python} 

%description
Official low-level client for Elasticsearch. Its goal is to provide common ground for all
Elasticsearch-related code in Python; because of this it tries to be opinion-free and very
extendable.

For a more high level client library with more limited scope, have a look at elasticsearch-dsl -
a more pythonic library sitting on top of elasticsearch-py.

It provides a more convenient and idiomatic way to write and manipulate queries. It stays close
to the Elasticsearch JSON DSL, mirroring its terminology and structure while exposing the whole
range of the DSL from Python either directly using defined classes or a queryset-like expressions.

It also provides an optional persistence layer for working with documents as Python objects in
an ORM-like fashion: defining mappings, retrieving and saving documents, wrapping the document
data in user-defined classes.

%package -n python2-elasticsearch
Obsoletes: python-elasticsearch
Provides: python-elasticsearch = %{version}
Summary: Python client for Elasticsearch
Requires: python2-urllib3

%description -n python2-elasticsearch
Python client for Elasticsearch.

%if 0%{?with_python3}
%package -n python3-elasticsearch
Summary: Python client for Elasticsearch
Requires: python3-urllib3

%description -n python3-elasticsearch
Python client for Elasticsearch.
%endif

%prep
%autosetup -n %{name}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
rm -rf %{buildroot}

%files -n python2-elasticsearch
%{python2_sitelib}/elasticsearch/
%{python2_sitelib}/elasticsearch*.egg-info

%if 0%{?with_python3}
%files -n python3-elasticsearch
%{python3_sitelib}/elasticsearch/
%{python3_sitelib}/elasticsearch*.egg-info
%endif

%changelog
* Mon Feb  4 2019 Lawrence R. Rogers <lrr@cert.org> 6.3.1-2
* Release 6.3.1-2
	Version 6.3.1
	Added Python 3 version. Renamed python to python2.


* Fri Jan 27 2017 Lawrence R. Rogers <lrr@cert.org> 6.3.1-1
* Release 6.3.1
	Version 6.3.1.
